Skip to main content
POST
/
seo
/
site-audit
Deep site audit
curl --request POST \
  --url https://api.smartlyq.com/v1/seo/site-audit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "max_pages": 20
}
'
{
  "success": true,
  "data": {
    "url": "https://example.com",
    "audit": {
      "crawl_progress": "finished",
      "pages_crawled": 20,
      "pages_with_errors": 3,
      "onpage_score": 88.4,
      "checks": {
        "duplicate_title": false,
        "broken_links": true
      },
      "pages": [
        {
          "url": "https://example.com/old",
          "onpage_score": 61.2,
          "status_code": 200,
          "title": "Old Page",
          "flagged_checks": [
            "low_content_rate",
            "no_description"
          ]
        }
      ]
    }
  },
  "meta": {
    "request_id": "req_1a2b3c4d",
    "timestamp": "2026-07-01T12:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Body

application/json
url
string<uri>
required

Site URL to crawl.

max_pages
integer
default:20

Max pages to crawl.

Required range: 1 <= x <= 100

Response

Deep site audit

success
enum<boolean>
Available options:
true
data
object
meta
object